aboutsummaryrefslogtreecommitdiff
path: root/download-deps
diff options
context:
space:
mode:
authorHugo Hörnquist <hugo@lysator.liu.se>2020-05-01 16:37:51 +0200
committerHugo Hörnquist <hugo@lysator.liu.se>2020-05-01 16:37:51 +0200
commitb5fff69ef50d48e047f8730bb254d93cef5d6b59 (patch)
tree100365dc0002116a7bea238724e371becbbe6616 /download-deps
parentAdd missing dependency. (diff)
parentRemove old popup code. (diff)
downloadcalp-b5fff69ef50d48e047f8730bb254d93cef5d6b59.tar.gz
calp-b5fff69ef50d48e047f8730bb254d93cef5d6b59.tar.xz
Merge branch 'tooltip'
Diffstat (limited to 'download-deps')
-rwxr-xr-xdownload-deps10
1 files changed, 10 insertions, 0 deletions
diff --git a/download-deps b/download-deps
new file mode 100755
index 00000000..7cb06d1b
--- /dev/null
+++ b/download-deps
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+test -f v4.7.0.tar.gz || curl -sOL https://github.com/staaky/tipped/archive/v4.7.0.tar.gz
+test -d static/tipped-4.7.0/ || tar xf v4.7.0.tar.gz -C static tipped-4.7.0/dist/
+
+jquery="jquery-3.1.1.min.js"
+test -f "static/$jquery" || {
+ cd static
+ curl -sOL "https://code.jquery.com/$jquery"
+}